ContainsSelector (Apache Ant API)
Description: declaration: package: org.apache.tools.ant.types.selectors, class: ContainsSelector

Package org.apache.tools.ant.types.selectors

# Class ContainsSelector

java.lang.Object
org.apache.tools.ant.ProjectComponent
org.apache.tools.ant.types.DataType
org.apache.tools.ant.types.selectors.BaseSelector
org.apache.tools.ant.types.selectors.BaseExtendSelector
org.apache.tools.ant.types.selectors.ContainsSelector

All Implemented Interfaces:
  `java.lang.Cloneable`, `Parameterizable`, `ResourceSelector`, `ExtendFileSelector`, `FileSelector`

    public class ContainsSelector
    extends BaseExtendSelector
    implements ResourceSelector

Selector that filters files/resources based on whether they contain a particular string.

Since:
  1.5

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `static java.lang.String` | `CASE_KEY` | Used for parameterized custom selector
  `static java.lang.String` | `CONTAINS_KEY` | Used for parameterized custom selector
  `static java.lang.String` | `EXPRESSION_KEY` | Key to used for parameterized custom selector
  `static java.lang.String` | `WHITESPACE_KEY` | Used for parameterized custom selector

  ### Fields inherited from class org.apache.tools.ant.types.selectors.BaseExtendSelector

  `parameters`

  ### Fields inherited from class org.apache.tools.ant.types.DataType

  `checked, ref`

  ### Fields inherited from class org.apache.tools.ant.ProjectComponent

  `description, location, project`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `ContainsSelector()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `boolean` | `isSelected​(java.io.File basedir, java.lang.String filename, java.io.File file)` | The heart of the matter.
  `boolean` | `isSelected​(Resource r)` | The heart of the matter.
  `void` | `setCasesensitive​(boolean casesensitive)` | Whether to ignore case in the string being searched.
  `void` | `setEncoding​(java.lang.String encoding)` | The encoding of the resources processed
  `void` | `setIgnorewhitespace​(boolean ignorewhitespace)` | Whether to ignore whitespace in the string being searched.
  `void` | `setParameters​(Parameter... parameters)` | When using this as a custom selector, this method will be called.
  `void` | `setText​(java.lang.String contains)` | The string to search for within a file.
  `java.lang.String` | `toString()` | Basic DataType toString().
  `void` | `verifySettings()` | Checks to make sure all settings are kosher.

  ### Methods inherited from class org.apache.tools.ant.types.selectors.BaseExtendSelector

  `getParameters`

  ### Methods inherited from class org.apache.tools.ant.types.selectors.BaseSelector

  `getError, setError, setError, validate`

  ### Methods inherited from class org.apache.tools.ant.types.DataType

  `checkAttributesAllowed, checkChildrenAllowed, circularReference, clone, dieOnCircularReference, dieOnCircularReference, dieOnCircularReference, getCheckedRef, getCheckedRef, getCheckedRef, getCheckedRef, getCheckedRef, getDataTypeName, getRefid, invokeCircularReferenceCheck, isChecked, isReference, noChildrenAllowed, pushAndInvokeCircularReferenceCheck, setChecked, setRefid, tooManyAttributes`

  ### Methods inherited from class org.apache.tools.ant.ProjectComponent

  `getDescription, getLocation, getProject, log, log, setDescription, setLocation, setProject`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### EXPRESSION_KEY

    public static final java.lang.String EXPRESSION_KEY
    Key to used for parameterized custom selector
    See Also:
      Constant Field Values

  - ### CONTAINS_KEY

    public static final java.lang.String CONTAINS_KEY
    Used for parameterized custom selector
    See Also:
      Constant Field Values

  - ### CASE_KEY

    public static final java.lang.String CASE_KEY
    Used for parameterized custom selector
    See Also:
      Constant Field Values

  - ### WHITESPACE_KEY

    public static final java.lang.String WHITESPACE_KEY
    Used for parameterized custom selector
    See Also:
      Constant Field Values

- ## Constructor Details

  - ### ContainsSelector

    public ContainsSelector()

- ## Method Details

  - ### toString

    public java.lang.String toString()
    Description copied from class: `DataType`
    Basic DataType toString().
    Overrides:
      `toString` in class `DataType`
    Returns:
      a string describing this object

  - ### setText

    public void setText​(java.lang.String contains)
    The string to search for within a file.
    Parameters:
      `contains` - the string that a file must contain to be selected.

  - ### setEncoding

    public void setEncoding​(java.lang.String encoding)
    The encoding of the resources processed
    Parameters:
      `encoding` - encoding of the resources processed
    Since:
      Ant 1.9.0

  - ### setCasesensitive

    public void setCasesensitive​(boolean casesensitive)
    Whether to ignore case in the string being searched.
    Parameters:
      `casesensitive` - whether to pay attention to case sensitivity

  - ### setIgnorewhitespace

    public void setIgnorewhitespace​(boolean ignorewhitespace)
    Whether to ignore whitespace in the string being searched.
    Parameters:
      `ignorewhitespace` - whether to ignore any whitespace (spaces, tabs, etc.) in the searchstring

  - ### setParameters

    public void setParameters​(Parameter... parameters)
    When using this as a custom selector, this method will be called. It translates each parameter into the appropriate setXXX() call.
    Specified by:
      `setParameters` in interface `Parameterizable`
    Overrides:
      `setParameters` in class `BaseExtendSelector`
    Parameters:
      `parameters` - the complete set of parameters for this selector

  - ### verifySettings

    public void verifySettings()
    Checks to make sure all settings are kosher. In this case, it means that the pattern attribute has been set.
    Overrides:
      `verifySettings` in class `BaseSelector`

  - ### isSelected

    public boolean isSelected​(java.io.File basedir, java.lang.String filename, java.io.File file)
    The heart of the matter. This is where the selector gets to decide on the inclusion of a file in a particular fileset.
    Specified by:
      `isSelected` in interface `FileSelector`
    Specified by:
      `isSelected` in class `BaseExtendSelector`
    Parameters:
      `basedir` - the base directory the scan is being done from
      `filename` - is the name of the file to check
      `file` - is a java.io.File object the selector can use
    Returns:
      whether the file should be selected or not

  - ### isSelected

    public boolean isSelected​(Resource r)
    The heart of the matter. This is where the selector gets to decide on the inclusion of a Resource.
    Specified by:
      `isSelected` in interface `FileSelector`
    Specified by:
      `isSelected` in interface `ResourceSelector`
    Parameters:
      `r` - the Resource to check.
    Returns:
      whether the Resource is selected.